Unable to install plugins from OMV extras

    • OMV 4.x
    • Unable to install plugins from OMV extras

      New

      I did follow a guide on OMW extras to install the openmediavault-omvextrasorg_latest_all4.deb file to the plugins section.
      That was working fine. But the plugins that are inside the package are not installing.

      Example I was trying to install shellinabox.
      LOG :

      Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; export DEBIAN_FRONTEND=noninteractive; apt-get --yes --allow-downgrades --allow-change-held-packages --fix-missing --allow-unauthenticated --reinstall install openmediavault-shellinabox openmediavault-docker-gui 2>&1' with exit code '100': Reading package lists...

      Building dependency tree...

      Reading state information...

      Some packages could not be installed. This may mean that you have
      requested an impossible situation or if you are using the unstable
      distribution that some required packages have not yet been created
      or been moved out of Incoming.
      The following information may help to resolve the situation:

      The following packages have unmet dependencies:
      openmediavault-docker-gui : Depends: omvextras-common but it is not going to be installed
      Depends: php-imagick but it is not installable
      openmediavault-shellinabox : Depends: shellinabox (>= 2.18) but it is not installable
      E: Unable to correct problems, you have held broken packages.
      <<< *************************************

      Does any one know how to fix this issue ?
      Thanks
    • New

      Do you have the stable repo in omv-extras enabled? What is the output of apt-get update
      omv 4.1.17 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • New

      Thanks for your reaction, I really appreciate it.

      Yes omv-extras stable is enabled, docker ce to. (did turn docker ce off. same error)
      I did apt-get update before on the cli. I just don't remember the output anymore. I'm monday back on work so I can get the output off it.

      I did follow this guide :

      And if I remember it correctly when I did omv installation. I didn't have a network connection. So it couldnt connect to a debian archive mirror. Any chance that this could be the problem ?
    • New

      Trust wrote:

      I didn't have a network connection. So it couldnt connect to a debian archive mirror. Any chance that this could be the problem ?
      Yes, that is a big problem. You have no debian repos when you install that way. So, that will affect most plugins since they can't download their dependencies.
      omv 4.1.17 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.13
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!